Package org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPConstructor

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICPPBinding`, `ICPPFunction`, `ICPPMember`, `ICPPMethod`, `IFunction`

All Known Subinterfaces:
  `ICPPConstructorSpecialization`

    public interface ICPPConstructor
    extends ICPPMethod

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ICPPConstructor[]` `EMPTY_CONSTRUCTOR_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPMember

`v_private, v_protected, v_public`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPMethod

`EMPTY_CPPMETHOD_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`org.eclipse.cdt.internal.core.dom.parser.cpp.ICPPExecution` `getConstructorChainExecution()` For a constexpr constructor returns the ICPPExecution for its constructor chain.
`org.eclipse.cdt.internal.core.dom.parser.cpp.ICPPExecution` `getConstructorChainExecution​(IASTNode point)` Deprecated. use `getConstructorChainExecution()` instead.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPFunction

`getDeclaredType, getExceptionSpecification, getParameters, getRequiredArgumentCount, getType, hasParameterPack, isConstexpr, isDeleted, isExternC, isInline, isMutable`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPMember

`getClassOwner, getType, getVisibility, isStatic`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPMethod

`isDestructor, isExplicit, isFinal, isImplicit, isOverride, isPureVirtual, isVirtual`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IFunction

`getFunctionScope, isAuto, isExtern, isNoDiscard, isNoReturn, isRegister, isStatic, takesVarArgs`

### Field Detail

#### EMPTY_CONSTRUCTOR_ARRAY

    static final ICPPConstructor[] EMPTY_CONSTRUCTOR_ARRAY

### Method Detail

#### getConstructorChainExecution

    @Deprecated
    org.eclipse.cdt.internal.core.dom.parser.cpp.ICPPExecution getConstructorChainExecution​(IASTNode point)

Deprecated.
use `getConstructorChainExecution()` instead.

Since:
  6.0
Restriction:
  This method is not intended to be referenced by clients.

#### getConstructorChainExecution

    org.eclipse.cdt.internal.core.dom.parser.cpp.ICPPExecution getConstructorChainExecution()

For a constexpr constructor returns the ICPPExecution for its constructor chain. Otherwise returns `null`.

Since:
  6.3
Restriction:
  This method is not intended to be referenced by clients.